Package io.dapr.v1

# Interface DaprProtos.QueryStateResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.QueryStateResponse`, `DaprProtos.QueryStateResponse.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.QueryStateResponseOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsMetadata(String key)`
The metadata which will be sent to app.
`Map<String,String>`
`getMetadata()`
Deprecated.
`int`
`getMetadataCount()`
The metadata which will be sent to app.
`Map<String,String>`
`getMetadataMap()`
The metadata which will be sent to app.
`String`
`getMetadataOrDefault(String key, String defaultValue)`
The metadata which will be sent to app.
`String`
`getMetadataOrThrow(String key)`
The metadata which will be sent to app.
`DaprProtos.QueryStateItem`
`getResults(int index)`
An array of query results.
`int`
`getResultsCount()`
An array of query results.
`List<DaprProtos.QueryStateItem>`
`getResultsList()`
An array of query results.
`DaprProtos.QueryStateItemOrBuilder`
`getResultsOrBuilder(int index)`
An array of query results.
`List<? extends DaprProtos.QueryStateItemOrBuilder>`
`getResultsOrBuilderList()`
An array of query results.
`String`
`getToken()`
Pagination token.
`com.google.protobuf.ByteString`
`getTokenBytes()`
Pagination token.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getResultsList

List<DaprProtos.QueryStateItem> getResultsList()

     An array of query results.

`repeated .dapr.proto.runtime.v1.QueryStateItem results = 1;`

### getResults

DaprProtos.QueryStateItem getResults(int index)

     An array of query results.

`repeated .dapr.proto.runtime.v1.QueryStateItem results = 1;`

### getResultsCount

int getResultsCount()

     An array of query results.

`repeated .dapr.proto.runtime.v1.QueryStateItem results = 1;`

### getResultsOrBuilderList

List<? extends DaprProtos.QueryStateItemOrBuilder> getResultsOrBuilderList()

     An array of query results.

`repeated .dapr.proto.runtime.v1.QueryStateItem results = 1;`

### getResultsOrBuilder

DaprProtos.QueryStateItemOrBuilder getResultsOrBuilder(int index)

     An array of query results.

`repeated .dapr.proto.runtime.v1.QueryStateItem results = 1;`

### getToken

String getToken()

     Pagination token.

`string token = 2;`

Returns:
  The token.

### getTokenBytes

com.google.protobuf.ByteString getTokenBytes()

     Pagination token.

`string token = 2;`

Returns:
  The bytes for token.

### getMetadataCount

int getMetadataCount()

     The metadata which will be sent to app.

`map<string, string> metadata = 3;`

### containsMetadata

boolean containsMetadata(String key)

     The metadata which will be sent to app.

`map<string, string> metadata = 3;`

### getMetadata

@Deprecated Map<String,String> getMetadata()
Deprecated.
Use `getMetadataMap()` instead.

### getMetadataMap

Map<String,String> getMetadataMap()

     The metadata which will be sent to app.

`map<string, string> metadata = 3;`

### getMetadataOrDefault

String getMetadataOrDefault(String key, String defaultValue)

     The metadata which will be sent to app.

`map<string, string> metadata = 3;`

### getMetadataOrThrow

String getMetadataOrThrow(String key)

     The metadata which will be sent to app.

`map<string, string> metadata = 3;`